/**
 * Show functions to be exported from the design doc.
 */

var templates = require('kanso/templates');


exports.welcome = function (doc, req) {
    var content = templates.render('welcome.html', req, {});

    if (req.client) {
        $('#content').html(content);
        document.title = 'It worked!';
    }
    else {
        return templates.render('base.html', req, {
            title: 'It worked!',
            content: content
        });
    }
};

exports.not_found = function (doc, req) {
    var content = templates.render('404.html', req, {});

    if (req.client) {
        $('#content').html(content);
        document.title = '404 - Not Found';
    }
    else {
        return templates.render('base.html', req, {
            title: '404 - Not Found',
            content: content
        });
    }
};

exports.testshow = function (doc, req) {
    return 'test show function';
};

exports['test show / blah'] = function (doc, req) {
    return 'test show function';
};

exports.testjsonshow = function (doc, req) {
    return {code: 200, body: '{"foo":"bar"}', headers: {'Content-Type': 'text/json'}};
};
